Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 208476 - Single window and firefox profile configuration options not available in selenium sever configuration
Single window and firefox profile configuration options not available in sele...
Status: CLOSED FIXED
Product: utilities
Classification: Unclassified
Component: Selenium
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Martin Fousek
issues@contrib
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 19:53 UTC by akochnev
Modified: 2014-12-09 09:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch that adds the requested functionality (4.98 KB, patch)
2012-02-15 19:59 UTC, akochnev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description akochnev 2012-02-15 19:53:45 UTC
The selenium sever only allows configuring the port and whether the server will start automatically. We use additional options (ability to launch the browser in a single window and specifying the firefox profile template directory).
Comment 1 akochnev 2012-02-15 19:59:00 UTC
Created attachment 115780 [details]
patch that adds the requested functionality
Comment 2 Martin Fousek 2012-03-05 09:55:17 UTC
Hi akochnev, sorry again that I didn't notice your patch earlier. I would like still to rewrite whole Selenium server part to Server API but since I haven't time on that in my free time yet, it will be run for a long way. :/

So any patch or hotfix is really appreciated! On the first look, the patch looks well and I'll let you know more once I'll be including it into contrib sources (this week). Thanks a lot for your contribution to this plugin....
Comment 3 Martin Fousek 2012-03-09 15:42:34 UTC
Ok, your patch looked well, I did just smaller changes and imported it in:
http://hg.netbeans.org/main/contrib/rev/ed07e23ee4d1

Thanks again for your contribution!
Comment 4 zarry 2012-09-06 12:35:27 UTC
Alex, 

Why am I not surprised :)  I was coming here looking for exactly these features and here you are already adding them for me.  Good stuff.

Martin,

I did not see these changes in the latest release I pulled down from the Netbeans Plugin installer earlier.  Is this pushed live?
Comment 5 Martin Fousek 2012-09-12 08:12:51 UTC
(In reply to comment #4)
> Martin,
> 
> I did not see these changes in the latest release I pulled down from the
> Netbeans Plugin installer earlier.  Is this pushed live?


You are right, the changes aren't propagated to the Plugin Portal UC properly. Thanks for letting me know. I just commited increased spec. version of the module:
http://hg.netbeans.org/main/contrib/rev/57f155516941

And now I'm building it to be able to upload that to the PP UC. In two, three days it should be verified (I guess) and propagated to your IDE.

Sorry again for the delay. :/
Comment 6 Martin Fousek 2012-09-12 10:48:53 UTC
Ok, new plugin is published on Plugin Portal UC:
http://plugins.netbeans.org/plugin/37739/?show=true

You can download it there and manually install it to NetBeans or wait for verification which means that the plugin update will appear in the IDE automatically to you.

Thanks again for the ping around this bug.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo